import React from 'react';
import * as FlexContent from './styles/flexContent.js';

const FlexContainer = ({ children }) => (
  <div style={FlexContent.container}>
    <div style={FlexContent.header}>
      {children[0]}
    </div>
    <div style={FlexContent.content}>
      <div style={FlexContent.innerContent}>
        {children[1]}
      </div>
    </div>
    <div style={FlexContent.header}>
      {children[2]}
    </div>
  </div>
);

FlexContainer.propTypes = {
  children: React.PropTypes.array.isRequired,
};

export default FlexContainer;
